models/Formulario.php
<?php

namespace app\models;
use yii\base\Model;

class Formulario extends Model{
    public ?int $dia=null;
    public ?string $mes=null;
    public ?string $poblacion=null;

    public function attributeLabels():array{
        return [
            "dia"=>"Dia del mes",
            "mes" => "Mes",
            "poblacion" => "Poblacion",
        ];
    }

    public function rules():array{
        // calculo el ultimo dia del mes
        $fecha=new \DateTime(); // creo un objeto de tipo fecha
        $fecha->modify('last day of this month'); // cambiando el objeto
        $dia=$fecha->format('d'); // formateamos la salida del objeto

        return [
            [['dia','mes','poblacion'],'required'],
            [['dia'],'number','min'=>1,'max'=>$dia],
        ];
    }

    public function getMeses():array{
        return [
            "enero" => "Enero",
            "febrero" => "Febrero",
            "marzo" => "Marzo",
            "abril" => "Abril",
            "mayo" => "Mayo",
            "junio" => "Junio",
            "julio" => "Julio",
            "agosto" => "Agosto",
            "septiembre" => "Septiembre",
            "octubre" => "Octubre",
            "noviembre" => "Noviembre",
            "diciembre" => "Diciembre"
        ];
    }

    public function getPoblaciones():array{
        return [
            "sa" => "Santander",
            "la" => "Laredo",
            "re" => "Reinosa",
            "po" => "Potes"
        ];
    }

}

models/Formulario1.php
<?php

namespace app\models;
use yii\base\Model;

class Formulario1 extends Model{
    public ?string  $nombre=null;
    public ?int $edad=null;
    public ?int $mes=null;
    public ?int $categoria=null;
    public ?string $dia=null;
    public array $aficiones=[];
    public array $opciones=[];
    public ?string $fechaAlta=null;

    public function attributeLabels():array{
        return [
            "nombre"=>"Nombre completo",
            "edad" => "Edad",
            "mes" => "Mes Uso",
            "categoria" => "Categoria Herramienta",
            "dia" => "Dia Uso",
            "aficiones" => "Aficiones",
            "opciones" => "Opciones alquiler",
            "fechaAlta" => "Fecha Alta Sistema"
        ];
    }

    public function rules():array{
        return [
            [['nombre','edad','mes','categoria','dia','aficiones','opciones','fechaAlta'],'safe'],
            
        ];
    }

    public function getMeses():array{
        return [
            1 => "Enero",
            2 => "Febrero",
            3 => "Marzo",
            4 => "Abril",
            5 => "Mayo",
            6 => "Junio",
            7 => "Julio",
            8 => "Agosto",
            9 => "Septiembre",
            10 => "Octubre",
            11 => "Noviembre",
            12 => "Diciembre"
        ];
    }

    public function getPoblaciones():array{
        return [
            "sa" => "Santander",
            "la" => "Laredo",
            "re" => "Reinosa",
            "po" => "Potes"
        ];
    }

    public function getMostraraficiones(){
        return [
            "lectura","deporte","tv","informatica"
        ];
    }

    public function getMostraropciones(){
        return [
            "dia completo", "con carga", "limpieza incluida"
        ];
    }

    public function getCategorias(){
        return [
            "A","B","C"
        ];
    }

    public function getDias(){
        return [
            "Domingo","Lunes","Miercoles","Viernes"
        ];
    }

    public function getAficionestexto(){
        return join(",",$this->aficiones);
    }

    public function getOpcionestexto(){
        return join(",",$this->opciones);
    }

}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::class,
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::class,
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }

    public function actionFormulario()
    {
        $model = new \app\models\Formulario();

        if ($model->load(Yii::$app->request->post())) {
            if ($model->validate()) {
                // quiero mostrar resultados
                return $this->render('resultados', [
                    "model" => $model
                ]);
            }
        }

        return $this->render('formulario', [
            'model' => $model,
        ]);
    }

    public function actionFormulario1()
    {
        $model = new \app\models\Formulario1();

        if ($model->load(Yii::$app->request->post())) {
            if ($model->validate()) {
                
                return $this->render("resultado1",[
                    "model" => $model
                ]);
            }
        }

        return $this->render('formulario1', [
            'model' => $model,
        ]);
    }
}

views/layouts/main.php
<?php

/** @var yii\web\View $this */
/** @var string $content */

use app\assets\AppAsset;
use app\widgets\Alert;
use yii\bootstrap5\Breadcrumbs;
use yii\bootstrap5\Html;
use yii\bootstrap5\Nav;
use yii\bootstrap5\NavBar;

AppAsset::register($this);

$this->registerCsrfMetaTags();
$this->registerMetaTag(['charset' => Yii::$app->charset], 'charset');
$this->registerMetaTag(['name' => 'viewport', 'content' => 'width=device-width, initial-scale=1, shrink-to-fit=no']);
$this->registerMetaTag(['name' => 'description', 'content' => $this->params['meta_description'] ?? '']);
$this->registerMetaTag(['name' => 'keywords', 'content' => $this->params['meta_keywords'] ?? '']);
$this->registerLinkTag(['rel' => 'icon', 'type' => 'image/x-icon', 'href' => Yii::getAlias('@web/favicon.ico')]);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>" class="h-100">
<head>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body class="d-flex flex-column h-100">
<?php $this->beginBody() ?>

<header id="header">
    <?php
    NavBar::begin([
        'brandLabel' => Yii::$app->name,
        'brandUrl' => Yii::$app->homeUrl,
        'options' => ['class' => 'navbar-expand-md navbar-dark bg-dark fixed-top']
    ]);
    echo Nav::widget([
        'options' => ['class' => 'navbar-nav'],
        'items' => [
            ['label' => 'Home', 'url' => ['/site/index']],
            ['label' => 'Formulario', 'url' => ['/site/formulario']],
            ['label' => 'Formulario 1', 'url' => ['/site/formulario1']],
           
        ]
    ]);
    NavBar::end();
    ?>
</header>

<main id="main" class="flex-shrink-0" role="main">
    <div class="container">
        <?php if (!empty($this->params['breadcrumbs'])): ?>
            <?= Breadcrumbs::widget(['links' => $this->params['breadcrumbs']]) ?>
        <?php endif ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</main>

<footer id="footer" class="mt-auto py-3 bg-light">
    <div class="container">
        <div class="row text-muted">
            <div class="col-md-6 text-center text-md-start">Formularios</div>
            <div class="col-md-6 text-center text-md-end">Ramon</div>
        </div>
    </div>
</footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>

views/site/error.php
<?php

/** @var yii\web\View $this */
/** @var string $name */
/** @var string $message */
/** @var Exception$exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/formulario.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/** @var yii\web\View $this */
/** @var app\models\Formulario $model */
/** @var ActiveForm $form */
?>
<div class="site-formulario">

    <?php $form = ActiveForm::begin(); ?>

        <?= $form->field($model, 'dia')->input("number") ?>
        <?= $form
            ->field($model, 'mes')
            ->dropDownList($model->meses,["prompt"=>"Selecciona un mes"]) 
        ?>
        <?= $form
            ->field($model, 'poblacion')
            ->listBox($model->poblaciones) 
        ?>
    
        <div class="form-group">
            <?= Html::submitButton('Submit', ['class' => 'btn btn-primary']) ?>
        </div>
    <?php ActiveForm::end(); ?>

</div><!-- site-formulario -->

views/site/formulario1.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/** @var yii\web\View $this */
/** @var app\models\Formulario1 $model */
/** @var ActiveForm $form */
?>
<div class="site-formulario1">

    <?php $form = ActiveForm::begin(); ?>

        <?= $form
            ->field($model, 'nombre') 
            ->textInput(["placeholder" => "Introduce nombre completo"])
        ?>
        <?= $form
            ->field($model, 'edad') 
            ->input('number')
        ?>
        <?= $form
            ->field($model, 'mes') 
            ->dropDownList($model->meses,[
                'prompt' => 'Escoge es alquiler',
            ])
        ?>
        <?= $form
            ->field($model, 'categoria') 
            ->radioList($model->categorias)
        ?>
        <?= $form
            ->field($model, 'dia')
            ->listBox($model->dias) 
        ?>
        <?= $form
            ->field($model, 'aficiones') 
            ->checkboxList($model->mostraraficiones)
        ?>
        <?= $form
            ->field($model, 'opciones') 
            ->listBox($model->mostraropciones,[
                'multiple' => 'multiple'
            ])
        ?>
        <?= $form
            ->field($model, 'fechaAlta') 
            ->input("date")
        ?>
    
        <div class="form-group">
            <?= Html::submitButton('Submit', ['class' => 'btn btn-primary']) ?>
        </div>
    <?php ActiveForm::end(); ?>

</div><!-- site-formulario1 -->

views/site/index.php
<?php

/** @var yii\web\View $this */

$this->title = 'Formularios';
?>
<div class="site-index">

    <div class="jumbotron text-center bg-transparent mt-5 mb-5">
        <h1 class="display-4">Formularios 3</h1>

        <p class="lead">Utilizacion de formularios en Yii</p>

    </div>
</div>

<?php

views/site/resultado1.php
<?php

use yii\widgets\DetailView;

echo DetailView::widget([
    "model"=>$model,
    "attributes"=>[
        "nombre",
        "edad",
        "mes",
        "categoria",
        "dia",
        "fechaAlta",
        "aficionestexto",
        "opcionestexto"
    ]
]);

views/site/resultados.php
<?php

use yii\widgets\DetailView;

echo DetailView::widget([
    "model" => $model
]);